package com.ruoyi.dz.dto;

import java.io.Serializable;

/**
 * 学习卡统计结果DTO
 * 
 * @author ruoyi
 */
public class CardStatisticsDTO implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** 一级代理商ID */
    private Long agentId;

    /** 一级代理商名称 */
    private String agentName;

    /** 末级代理商ID */
    private Long leafAgentId;

    /** 末级代理商名称 */
    private String leafAgentName;

    /** 开卡数量 */
    private Long openCard;

    /** 关卡数量 */
    private Long closeCard;

    /** 缴费数量 */
    private Long payCard;

    /** 结算数量 */
    private Long settlementCard;

    public Long getAgentId()
    {
        return agentId;
    }

    public void setAgentId(Long agentId)
    {
        this.agentId = agentId;
    }

    public String getAgentName()
    {
        return agentName;
    }

    public void setAgentName(String agentName)
    {
        this.agentName = agentName;
    }

    public Long getLeafAgentId()
    {
        return leafAgentId;
    }

    public void setLeafAgentId(Long leafAgentId)
    {
        this.leafAgentId = leafAgentId;
    }

    public String getLeafAgentName()
    {
        return leafAgentName;
    }

    public void setLeafAgentName(String leafAgentName)
    {
        this.leafAgentName = leafAgentName;
    }

    public Long getOpenCard()
    {
        return openCard;
    }

    public void setOpenCard(Long openCard)
    {
        this.openCard = openCard;
    }

    public Long getCloseCard()
    {
        return closeCard;
    }

    public void setCloseCard(Long closeCard)
    {
        this.closeCard = closeCard;
    }

    public Long getPayCard()
    {
        return payCard;
    }

    public void setPayCard(Long payCard)
    {
        this.payCard = payCard;
    }

    public Long getSettlementCard()
    {
        return settlementCard;
    }

    public void setSettlementCard(Long settlementCard)
    {
        this.settlementCard = settlementCard;
    }

    @Override
    public String toString()
    {
        return "CardStatisticsDTO{" +
                "agentId=" + agentId +
                ", agentName='" + agentName + '\'' +
                ", leafAgentId=" + leafAgentId +
                ", leafAgentName='" + leafAgentName + '\'' +
                ", openCard=" + openCard +
                ", closeCard=" + closeCard +
                ", payCard=" + payCard +
                ", settlementCard=" + settlementCard +
                '}';
    }
}



